package com.muyu.marketing.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * @ClassName TeamProjectSkuInfoEchoResp
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/26 15:59
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TeamProjectSkuInfoEchoResp {
    /**
     * 规格id
     */
    private Long productSkuId;
    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
