package com.muyu.product.domain.resp;

import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @ClassName AttributeGroupUpdateResp
 * @Description 描述
 * @Author zhang
 * @Date 2024/11/13 13:58
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttributeGroupUpdateResp {
    /** 属性组编号 */
    private Long id;

    /** 组名称 */
    private String name;

    /** 状态 */
    private String states;
    private String remark;

    private List<AttributeInfo>  attributeList;

}
