package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.product.domain.model.RuleAttrAddModel;
import com.muyu.product.domain.req.RuleAttrInfoReq;
import com.muyu.product.domain.req.RuleInfoEditReq;
import com.muyu.product.domain.resp.RuleInfoResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 规格详情Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface RuleAttrInfoMapper extends BaseMapper<RuleAttrInfo> {

    void updRule(@Param("id") Long id,@Param("req") RuleAttrInfoReq req);

    void deleteRule(@Param("id") Long id);

    List<RuleAttrAddModel> getRuleAttrInfo(@Param("id") Long id);
    RuleInfoResp getRuleAttrInfo2(@Param("id") Long id);

    void addRuleAttrModel(@Param("id")Long id,@Param("name")String name,@Param("valueData") String substring);
}
