package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName ActivityTeamProductListMode
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/12/3 15:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductListMode {
    /**
     * 商品id
     */
    private Long productId;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 活动状态
     */
    private String status;
}
