package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @ClassName ProductSkuModel
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/27 22:24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductSkuModel {
    /**
     * 修改商品规格List
     */
    private List<ActivityTeamProductSkuUpdModel> activityTeamProductSkuUpdModelList;

    /**
     *删除商品规格IdList
     */
    private List<Long> productIdList;

    /**
     * 添加商品规格List
     */
    private List<ActivityTeamProductSkuAddModel> activityTeamProductSkuAddModelList;
}
