package com.muyu.marketing.team.strategy.impl;

import com.muyu.marketing.team.strategy.ActivityTeamStrategy;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

/**
 * @ClassName ActivityTeamStrategyImpl
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/29 17:22
 */
@Service
@Primary
public class ActivityTeamStrategyImpl implements ActivityTeamStrategy {
    @Override
    public void openTeam(Long activityTeamId) {
        String activityTeamType=null;
        if (activityTeamId==null){
            throw new RuntimeException("activityTeamId is null");
        } else if (activityTeamId==0) {
            //团长免单
            activityTeamType = "team-strategy-exemption";
        } else if (activityTeamId == 1) {
            //普通团
            activityTeamType = "team-strategy-ordinary";
        } else if (activityTeamId == 2) {
            //百人团
            activityTeamType = "team--strategy-hundred";
        }
    }

    @Override
    public void applyFor(Long teamId) {

    }

    @Override
    public void addTeam(Long teamId, String orderNumber) {

    }

    @Override
    public void backTeam(Long teamId) {

    }

    @Override
    public void settle(Long teamId) {

    }
}
