package com.muyu.product.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @ClassName ProjectSKUModel
 * @Description 描述
 * @Author zhang
 * @Date 2024/11/19 21:45
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectSKUModel {
    private String sku;
    private Long stock;
    private BigDecimal price;
    private String image;
}
