package com.muyu.product.service;

import java.util.List;
import com.muyu.product.domain.AsAttributeGroup;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 属性与组中间Service接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface AsAttributeGroupService extends IService<AsAttributeGroup> {
    /**
     * 查询属性与组中间列表
     *
     * @param asAttributeGroup 属性与组中间
     * @return 属性与组中间集合
     */
    public List<AsAttributeGroup> list(AsAttributeGroup asAttributeGroup);

    /**
     * 删除属性与组中间
     * @param id
     */
    void delete(Long id);

    /**
     * 添加中间表
     * @param id
     * @param id1
     */
    void insertBath(Long id,Long id1);
}
